## org.codehaus.plexus.i18n
Interface I18N

All Known Implementing Classes:
  DefaultI18N

    public interface I18N

Field Summary
`static java.lang.String` `ACCEPT_LANGUAGE`
`static java.lang.String` `ROLE`

Method Summary
`java.lang.String` `format(java.lang.String bundleName, java.util.Locale locale, java.lang.String key, java.lang.Object arg1)`
`java.lang.String` `format(java.lang.String bundleName, java.util.Locale locale, java.lang.String key, java.lang.Object[] args)`
`java.lang.String` `format(java.lang.String bundleName, java.util.Locale locale, java.lang.String key, java.lang.Object arg1, java.lang.Object arg2)`
`java.lang.String` `format(java.lang.String key, java.lang.Object arg1)`
`java.lang.String` `format(java.lang.String key, java.lang.Object arg1, java.lang.Object arg2)`
`java.util.ResourceBundle` `getBundle()`
`java.util.ResourceBundle` `getBundle(java.lang.String bundleName)`
`java.util.ResourceBundle` `getBundle(java.lang.String bundleName, java.util.Locale locale)`
`java.util.ResourceBundle` `getBundle(java.lang.String bundleName, java.lang.String languageHeader)`
`java.lang.String[]` `getBundleNames()`
`java.lang.String` `getDefaultBundleName()`
`java.lang.String` `getDefaultCountry()`
`java.lang.String` `getDefaultLanguage()`
`java.util.Locale` `getLocale(java.lang.String languageHeader)`
`java.lang.String` `getString(java.lang.String key)`
`java.lang.String` `getString(java.lang.String key, java.util.Locale locale)`
`java.lang.String` `getString(java.lang.String bundleName, java.util.Locale locale, java.lang.String key)`

Field Detail

### ROLE

    static final java.lang.String ROLE

### ACCEPT_LANGUAGE

    static final java.lang.String ACCEPT_LANGUAGE

See Also:
  Constant Field Values

Method Detail

### getDefaultLanguage

    java.lang.String getDefaultLanguage()

### getDefaultCountry

    java.lang.String getDefaultCountry()

### getDefaultBundleName

    java.lang.String getDefaultBundleName()

### getBundleNames

    java.lang.String[] getBundleNames()

### getBundle

    java.util.ResourceBundle getBundle()

### getBundle

    java.util.ResourceBundle getBundle(java.lang.String bundleName)

### getBundle

    java.util.ResourceBundle getBundle(java.lang.String bundleName,
                                       java.lang.String languageHeader)

### getBundle

    java.util.ResourceBundle getBundle(java.lang.String bundleName,
                                       java.util.Locale locale)

### getLocale

    java.util.Locale getLocale(java.lang.String languageHeader)

### getString

    java.lang.String getString(java.lang.String key)

### getString

    java.lang.String getString(java.lang.String key,
                               java.util.Locale locale)

### getString

    java.lang.String getString(java.lang.String bundleName,
                               java.util.Locale locale,
                               java.lang.String key)

### format

    java.lang.String format(java.lang.String key,
                            java.lang.Object arg1)

### format

    java.lang.String format(java.lang.String key,
                            java.lang.Object arg1,
                            java.lang.Object arg2)

### format

    java.lang.String format(java.lang.String bundleName,
                            java.util.Locale locale,
                            java.lang.String key,
                            java.lang.Object arg1)

### format

    java.lang.String format(java.lang.String bundleName,
                            java.util.Locale locale,
                            java.lang.String key,
                            java.lang.Object arg1,
                            java.lang.Object arg2)

### format

    java.lang.String format(java.lang.String bundleName,
                            java.util.Locale locale,
                            java.lang.String key,
                            java.lang.Object[] args)

Copyright © 2011. All Rights Reserved.